# Read Contract

## balanceOf

{% tabs %}
{% tab title="parameters" %}

* owner(address)
  {% endtab %}

{% tab title="returns" %}

* uint256
  {% endtab %}
  {% endtabs %}

## fee

This returns the amount of MOE required to mint an MOE Trading Card NFT.

{% tabs %}
{% tab title="returns" %}

* uint256
* It alwasy returns 10\*18(1 MOE)
  {% endtab %}
  {% endtabs %}

## getApproved

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* address
  {% endtab %}
  {% endtabs %}

## isApprovedForAll

{% tabs %}
{% tab title="parameters" %}

* owner(address)
* operator(address)
  {% endtab %}

{% tab title="returns" %}

* bool
  {% endtab %}
  {% endtabs %}

## moeErc20Address

This is the address of the linked MOE token.

{% tabs %}
{% tab title="returns" %}

* address
  {% endtab %}
  {% endtabs %}

## name

{% tabs %}
{% tab title="returns" %}

* string
* It always returns "MOE TRADING CARD"
  {% endtab %}
  {% endtabs %}

## nftInfo

This returns the custom data specific to the MOE Trading Card.

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* uri(string): JSON metadata uri
* originalCreator(string): original creator
* jsonId(bytes4): JSON ID
* isSecondaryCreation(bool): secondary creation
  {% endtab %}
  {% endtabs %}

## ownerOf

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* address
  {% endtab %}
  {% endtabs %}

## supportsInterface

{% tabs %}
{% tab title="parameters" %}

* interfaceId(bytes4)
  {% endtab %}

{% tab title="returns" %}

* bool
  {% endtab %}
  {% endtabs %}

## symbol

{% tabs %}
{% tab title="returns" %}

* string
* It always returns "MOETC"
  {% endtab %}
  {% endtabs %}

## tokenMoe

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* uint256
  {% endtab %}
  {% endtabs %}

## tokenIsOriginal

This function signifies whether the token has been issued by the copyright holder. However, this does not assure copyright verification. Users must verify the authenticity themselves through evidence in the metadata to confirm its originality.

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* bool
  {% endtab %}
  {% endtabs %}

## tokenIsSecondaryCreation

This returns the secondary creation status of the NFT with an given index of tokenId.

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* bool
  {% endtab %}
  {% endtabs %}

## tokenJsonId

This returns the jsonId of the NFT with an given index of tokenId.

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* bytes4
  {% endtab %}
  {% endtabs %}

## tokenOriginalCreator

This returns the origianl creator of the NFT with an given index of tokenId.

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* string
  {% endtab %}
  {% endtabs %}

## tokenURI

{% tabs %}
{% tab title="parameters" %}

* tokenId(uint256)
  {% endtab %}

{% tab title="returns" %}

* string
  {% endtab %}
  {% endtabs %}

This returns the total amount of MOE tokens used as NFT issuance fees.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onnano.co/moe-trading-card/read-contract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
